]> git.saurik.com Git - wxWidgets.git/blobdiff - configure
no changes, just wrap long lines
[wxWidgets.git] / configure
index e2af5464c2e3d7089f7ccc7d63c04fe0ffa53083..841a30a793ca15cff37b5dd456c27e645d67b39b 100755 (executable)
--- a/configure
+++ b/configure
@@ -981,7 +981,6 @@ Optional Features:
   --enable-ipc            use interprocess communication (wxSocket etc.)
   --enable-apple_ieee     use the Apple IEEE codec
   --enable-arcstream      use wxArchive streams
-  --enable-backingfile    use wxBackingFile
   --enable-backtrace      use wxStackWalker class for getting backtraces
   --enable-catch_segvs    catch signals in wxApp::OnFatalException (Unix only)
   --enable-cmdline        use wxCmdLineParser class
@@ -997,7 +996,7 @@ Optional Features:
   --enable-fontmap        use font encodings conversion classes
   --enable-fs_archive     use virtual archive filesystems
   --enable-fs_inet        use virtual HTTP/FTP filesystems
-  --enable-fs_zip         use virtual ZIP filesystems
+  --enable-fs_zip         now replaced by fs_archive
   --enable-geometry       use geometry class
   --enable-log            use logging system
   --enable-longlong       use wxLongLong class
@@ -1801,8 +1800,8 @@ test -n "$target_alias" &&
 
 wx_major_version_number=2
 wx_minor_version_number=7
-wx_release_number=1
-wx_subrelease_number=3
+wx_release_number=2
+wx_subrelease_number=0
 
 WX_RELEASE=$wx_major_version_number.$wx_minor_version_number
 WX_VERSION=$WX_RELEASE.$wx_release_number
@@ -2321,7 +2320,6 @@ if test $DEBUG_CONFIGURE = 1; then
   DEFAULT_wxUSE_ARCHIVE_STREAMS=no
   DEFAULT_wxUSE_ZIPSTREAM=no
   DEFAULT_wxUSE_TARSTREAM=no
-  DEFAULT_wxUSE_BACKINGFILE=no
   DEFAULT_wxUSE_VALIDATORS=no
 
   DEFAULT_wxUSE_ACCEL=no
@@ -2542,7 +2540,6 @@ else
   DEFAULT_wxUSE_ARCHIVE_STREAMS=yes
   DEFAULT_wxUSE_ZIPSTREAM=yes
   DEFAULT_wxUSE_TARSTREAM=yes
-  DEFAULT_wxUSE_BACKINGFILE=yes
   DEFAULT_wxUSE_VALIDATORS=yes
 
   DEFAULT_wxUSE_ACCEL=yes
@@ -5068,47 +5065,6 @@ echo "${ECHO_T}no" >&6
           fi
 
 
-         enablestring=
-          echo "$as_me:$LINENO: checking for --${enablestring:-enable}-backingfile" >&5
-echo $ECHO_N "checking for --${enablestring:-enable}-backingfile... $ECHO_C" >&6
-          no_cache=0
-          # Check whether --enable-backingfile or --disable-backingfile was given.
-if test "${enable_backingfile+set}" = set; then
-  enableval="$enable_backingfile"
-
-                          if test "$enableval" = yes; then
-                            ac_cv_use_backingfile='wxUSE_BACKINGFILE=yes'
-                          else
-                            ac_cv_use_backingfile='wxUSE_BACKINGFILE=no'
-                          fi
-
-else
-
-                          LINE=`grep "wxUSE_BACKINGFILE" ${wx_arg_cache_file}`
-                          if test "x$LINE" != x ; then
-                            eval "DEFAULT_$LINE"
-                          else
-                            no_cache=1
-                          fi
-
-                          ac_cv_use_backingfile='wxUSE_BACKINGFILE='$DEFAULT_wxUSE_BACKINGFILE
-
-fi;
-
-          eval "$ac_cv_use_backingfile"
-          if test "$no_cache" != 1; then
-            echo $ac_cv_use_backingfile >> ${wx_arg_cache_file}.tmp
-          fi
-
-          if test "$wxUSE_BACKINGFILE" = yes; then
-            echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-          else
-            echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-          fi
-
-
          enablestring=
           echo "$as_me:$LINENO: checking for --${enablestring:-enable}-backtrace" >&5
 echo $ECHO_N "checking for --${enablestring:-enable}-backtrace... $ECHO_C" >&6
@@ -16144,7 +16100,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
         { echo "$as_me:$LINENO: WARNING: Building DLLs requires OMF mode, enabled" >&5
 echo "$as_me: WARNING: Building DLLs requires OMF mode, enabled" >&2;}
         wxUSE_OMF=yes
-       enable_omf=yes
+        enable_omf=yes
       fi
         ;;
   *)
@@ -25334,6 +25290,212 @@ echo "${ECHO_T}no" >&6
     fi
 fi
 
+if test "wxUSE_UNICODE" = "yes"; then
+
+for ac_func in wcstoull
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
+if eval "test \"\${$as_ac_var+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+choke me
+#else
+char (*f) () = $ac_func;
+#endif
+#ifdef __cplusplus
+}
+#endif
+
+int
+main ()
+{
+return f != $ac_func;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_var=no"
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+else
+
+for ac_func in strtoull
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
+if eval "test \"\${$as_ac_var+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+choke me
+#else
+char (*f) () = $ac_func;
+#endif
+#ifdef __cplusplus
+}
+#endif
+
+int
+main ()
+{
+return f != $ac_func;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_var=no"
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+fi
+
 
 
 if test "$wxUSE_REGEX" != "no"; then
@@ -41224,7 +41386,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 
       if test "x$ac_cv_func_which_gethostbyname_r" = "xno" -o \
-             "x$ac_cv_func_which_gethostbyname_r" = "xunknown" ; then
+              "x$ac_cv_func_which_gethostbyname_r" = "xunknown" ; then
           echo "$as_me:$LINENO: checking for gethostbyname" >&5
 echo $ECHO_N "checking for gethostbyname... $ECHO_C" >&6
 if test "${ac_cv_func_gethostbyname+set}" = set; then
@@ -41511,7 +41673,7 @@ fi
 
 
       if test "x$ac_cv_func_which_getservbyname_r" = "xno" -o \
-             "x$ac_cv_func_which_getservbyname_r" = "xunknown" ; then
+              "x$ac_cv_func_which_getservbyname_r" = "xunknown" ; then
 
 for ac_func in getservbyname
 do
@@ -43195,24 +43357,11 @@ _ACEOF
 
 fi
 
-if test "$wxUSE_FILESYSTEM" = "yes"; then
-  cat >>confdefs.h <<\_ACEOF
-#define wxUSE_FILESYSTEM 1
-_ACEOF
-
-fi
-
-if test "$wxUSE_FS_ZIP" = "yes"; then
-  cat >>confdefs.h <<\_ACEOF
-#define wxUSE_FS_ZIP 1
-_ACEOF
-
-fi
-
 if test "$wxUSE_ARCHIVE_STREAMS" = "yes"; then
   if test "$wxUSE_STREAMS" != yes; then
     { echo "$as_me:$LINENO: WARNING: wxArchive requires wxStreams... disabled" >&5
 echo "$as_me: WARNING: wxArchive requires wxStreams... disabled" >&2;}
+    wxUSE_ARCHIVE_STREAMS=no
   else
     cat >>confdefs.h <<\_ACEOF
 #define wxUSE_ARCHIVE_STREAMS 1
@@ -43248,22 +43397,23 @@ _ACEOF
   fi
 fi
 
-if test "$wxUSE_BACKINGFILE" = "yes"; then
+if test "$wxUSE_FILESYSTEM" = "yes"; then
   if test "$wxUSE_STREAMS" != yes -o \( "$wxUSE_FILE" != yes -a "$wxUSE_FFILE" != yes \); then
-    { echo "$as_me:$LINENO: WARNING: wxBackingFile requires wxStreams and wxFile or wxFFile... disabled" >&5
-echo "$as_me: WARNING: wxBackingFile requires wxStreams and wxFile or wxFFile... disabled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: wxFileSystem requires wxStreams and wxFile or wxFFile... disabled" >&5
+echo "$as_me: WARNING: wxFileSystem requires wxStreams and wxFile or wxFFile... disabled" >&2;}
+    wxUSE_FILESYSTEM=no
   else
     cat >>confdefs.h <<\_ACEOF
-#define wxUSE_BACKINGFILE 1
+#define wxUSE_FILESYSTEM 1
 _ACEOF
 
   fi
 fi
 
 if test "$wxUSE_FS_ARCHIVE" = "yes"; then
-  if test "$wxUSE_ARCHIVE_STREAMS" != yes -o "$wxUSE_BACKINGFILE" != yes; then
-    { echo "$as_me:$LINENO: WARNING: wxArchiveFSHandler requires wxArchive and wxBackingFile... disabled" >&5
-echo "$as_me: WARNING: wxArchiveFSHandler requires wxArchive and wxBackingFile... disabled" >&2;}
+  if test "$wxUSE_FILESYSTEM" != yes -o "$wxUSE_ARCHIVE_STREAMS" != yes; then
+    { echo "$as_me:$LINENO: WARNING: wxArchiveFSHandler requires wxArchive and wxFileSystem... disabled" >&5
+echo "$as_me: WARNING: wxArchiveFSHandler requires wxArchive and wxFileSystem... disabled" >&2;}
   else
     cat >>confdefs.h <<\_ACEOF
 #define wxUSE_FS_ARCHIVE 1
@@ -43272,6 +43422,18 @@ _ACEOF
   fi
 fi
 
+if test "$wxUSE_FS_ZIP" = "yes"; then
+  if test "$wxUSE_FS_ARCHIVE" != yes; then
+    { echo "$as_me:$LINENO: WARNING: wxZipFSHandler requires wxArchiveFSHandler... disabled" >&5
+echo "$as_me: WARNING: wxZipFSHandler requires wxArchiveFSHandler... disabled" >&2;}
+  else
+    cat >>confdefs.h <<\_ACEOF
+#define wxUSE_FS_ZIP 1
+_ACEOF
+
+  fi
+fi
+
 if test "$wxUSE_ON_FATAL_EXCEPTION" = "yes"; then
   if test "$USE_UNIX" != 1; then
     { echo "$as_me:$LINENO: WARNING: Catching fatal exceptions not currently supported on this system, wxApp::OnFatalException will not be called" >&5
        # Put the nasty error message in config.log where it belongs
        echo "$CAIRO_PKG_ERRORS" >&5
 
-
-               { echo "$as_me:$LINENO: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&5
+       { echo "$as_me:$LINENO: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&5
 echo "$as_me: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&2;}
 
-
 elif test $pkg_failed = untried; then
-
-               { echo "$as_me:$LINENO: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&5
+       { echo "$as_me:$LINENO: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&5
 echo "$as_me: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&2;}
 
-
 else
        CAIRO_CFLAGS=$pkg_cv_CAIRO_CFLAGS
        CAIRO_LIBS=$pkg_cv_CAIRO_LIBS
         echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-
-               cat >>confdefs.h <<\_ACEOF
+       cat >>confdefs.h <<\_ACEOF
 #define wxUSE_GRAPHICS_CONTEXT 1
 _ACEOF
 
-
 fi
    fi
 fi
@@ -47209,25 +47365,35 @@ if test "${wx_cv_gcc_pch_bug+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
-            wx_cv_gcc_pch_bug=no
-            echo 'const wchar_t test_var[] = L"wide string";' > conftest.h
+            echo '#include <stdio.h>
+                  const wchar_t test_var[] = L"awidetest";' > conftest.h
+
+            echo '#include "conftest.h"
+                  int main()
+                  {
+                     printf("%ls", test_var);
+                     return 0;
+                  }' > conftest.cpp
+
+            wx_cv_gcc_pch_bug="pch not supported"
 
-            if $CXX conftest.h >& /dev/null
+            if $CXX conftest.h >/dev/null 2>&1
             then
-                {
-                    echo '#include "conftest.h"'
-                    echo 'const wchar_t *test() { return test_var; }'
-                } > conftest.cpp
+                wx_cv_gcc_pch_bug=
 
-                if $CXX -c -o conftest.o conftest.cpp >& /dev/null
+                if $CXX -o conftest$PROGRAM_EXT conftest.cpp >/dev/null 2>&1
                 then
-                    tr -dc 'a-z' < conftest.o |
-                        grep 'widestring' >& /dev/null ||
+                    if tr -dc '[a-z]' < conftest$PROGRAM_EXT |
+                        grep awidetest >/dev/null
+                    then
+                        wx_cv_gcc_pch_bug=no
+                    else
                         wx_cv_gcc_pch_bug=yes
+                    fi
                 fi
             fi
 
-            rm -f conftest.h conftest.gch conftest.cpp conftest.o
+            rm -f conftest.h conftest.gch conftest.cpp conftest$PROGRAM_EXT
 
 fi
 echo "$as_me:$LINENO: result: $wx_cv_gcc_pch_bug" >&5
@@ -50204,8 +50370,8 @@ if test "$wxUSE_SHARED" = "yes"; then
       *-pc-os2_emx | *-pc-os2-emx )
         SHARED_LD_CC="`pwd`/dllar.sh -name-mangler-script ./dllnames.sh -libf INITINSTANCE -libf TERMINSTANCE -o"
         SHARED_LD_CXX="`pwd`/dllar.sh -name-mangler-script ./dllnames.sh -libf INITINSTANCE -libf TERMINSTANCE -o"
-       cp -p ${srcdir}/src/os2/dllnames.sh .
-       cp -p ${srcdir}/src/os2/dllar.sh .
+        cp -p ${srcdir}/src/os2/dllnames.sh .
+        cp -p ${srcdir}/src/os2/dllar.sh .
       ;;
     esac
 else